XIL-STEM-LOG(1)

NAME
xil-stem-log

SYNOPSIS
xil-stem-log [-h] [--logs-dir DIR] [--output PATH] [--since YYYY-MM-DD] [--episode TAG] [--slug SLUG] [--show]

DESCRIPTION
Parse xil-pipeline logs into a stem generation chronology CSV.

OPTIONS

--logs-dir DIR
    Directory containing xil_YYYY-MM-DD.log files (default: logs/)

--output PATH, -o PATH
    Output CSV path (default: stem_log_report.csv); use - for stdout

--since YYYY-MM-DD
    Only include log files on or after this date

--episode TAG, --tag TAG
    Filter records to a specific episode tag (e.g. S03E03)

--slug SLUG
    Filter records to a specific show slug (e.g. the413)

--show
    Print CSV to stdout (equivalent to --output -)

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>